<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# API Reference — Performing Cryptographic Key Recovery

## john — Key File Converters

### Synopsis

```bash
pfx2john <file.pfx> > hash.txt
keystore2john <file.jks> > hash.txt
ssh2john <id_rsa> > hash.txt
john [--wordlist=<file>] hash.txt
john --show hash.txt
```

## volatility3 — Memory Analysis

### Key Plugins

| Plugin | Description |
|---|---|
| `windows.registry.certificates` | Extract certs from registry |
| `linux.proc.Maps` | List process memory maps |

## openssl Key Verification

```bash
openssl pkey -in <key> -check -noout
openssl pkey -in <key> -text -noout
```

## Agent Script

```bash
node agent.js search /etc/ssl
node agent.js crack cert.pfx -w rockyou.txt -f pfx
node agent.js memory process.dmp
node agent.js verify recovered_key.pem
```
